apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
- ../base
patches:
- patch: |-
    - op: add
      path: /spec/egress/-
      value:
        toFQDNs:
        - matchName: "api.scaleway.com"
        toPorts:
        - ports:
          - port: "443"
            protocol: TCP
  target:
    kind: CiliumNetworkPolicy
    name: external-secrets
